Package org.h2.test.synth

# Class TestKillRestartMulti

java.lang.Object
org.h2.test.TestBase
org.h2.test.TestDb
org.h2.test.synth.TestKillRestartMulti

public class TestKillRestartMulti extends org.h2.test.TestDb
Standalone recovery test. A new process is started and then killed while it executes random statements using multiple connection.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.h2.test.TestDb

`org.h2.test.TestDb.Child`

## Nested classes/interfaces inherited from class org.h2.test.TestBase

`org.h2.test.TestBase.VoidCallable`

## Field Summary

### Fields inherited from class org.h2.test.TestBase

`BASE_TEST_DIR, config, start, uniqueId`

## Constructor Summary

Constructors
Constructor
Description
`TestKillRestartMulti()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isEnabled()`
`static void`
`main(String... args)`
This method is called when executing this application from the command line.
`void`
`test()`
This method will be called by the test framework.

### Methods inherited from class org.h2.test.TestDb

`buildChild, deleteDb, deleteDb, getConnection, getConnection, getURL`

### Methods inherited from class org.h2.test.TestBase

`assertContains, assertEmpty, assertEqualDatabases, assertEqualReaders, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEqualStreams, assertFalse, assertFalse, assertKnownException, assertKnownException, assertNotContaining, assertNotNull, assertNotNull, assertNull, assertResult, assertResultRowCount, assertResultSetMeta, assertResultSetOrdered, assertResultSetOrdered, assertSame, assertSingleValue, assertSmaller, assertStartsWith, assertThrows, assertThrows, assertThrows, assertThrows, assertThrows, assertThrows, assertThrows, assertThrows, assertTrue, assertTrue, checkErrorCode, crash, createCaller, createFailingStream, eatMemory, execute, execute, fail, fail, freeMemory, getBaseDir, getClassPath, getFilePassword, getJVM, getMemoryUsed, getMemoryUsedBytes, getPassword, getPassword, getPowerOffCount, getSize, getTestDir, getTestName, getUser, init, init, logError, logErrorMessage, println, printTime, printTimeMemory, readString, runTest, setPowerOffCount, testFromMain, throwException, trace, trace, traceMemory`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TestKillRestartMulti

public TestKillRestartMulti()

## Method Details

### main

public static void main(String... args) throws Exception
This method is called when executing this application from the command line. Note that this entry can be used in two different ways, either (a) running just this test (b) or when this test invokes itself in a child process

Parameters:
  `args` - the command line parameters
Throws:
  `Exception`

### isEnabled

public boolean isEnabled()

Overrides:
  `isEnabled` in class `org.h2.test.TestBase`
Returns:
  whether this test is enabled in the current configuration

### test

public void test() throws Exception
Description copied from class: `org.h2.test.TestBase`
This method will be called by the test framework.

Specified by:
  `test` in class `org.h2.test.TestBase`
Throws:
  `Exception` - if an exception in the test occurs